This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 290311 - Laptop stops idling in C3, idles in C2 after a while
Laptop stops idling in C3, idles in C2 after a while
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 20:59 EDT by Paul T. Darga
Modified: 2009-01-08 23:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:53:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (57.21 KB, text/plain)
2007-09-13 21:01 EDT, Paul T. Darga
no flags Details

  None (edit)
Description Paul T. Darga 2007-09-13 20:59:34 EDT
Description of problem:

I have a Thinkpad T60 running Fedora 7.  Immediately after I boot or resume from
 suspend-to-RAM, my laptop happily idles in C3.  After a while, usually around
10 minutes or so, PowerTOP tells me that it is idling in C2 instead, never
getting to C3 anymore.

Version-Release number of selected component (if applicable):

kernel-2.6.23-0.174.rc6.fc8
But this has been happening as long as x86_64 has been tickless, which is when
PowerTOP started being interesting.

How reproducible:

100%

Steps to Reproduce:
1. Boot or resume
2. Use the computer for a while, around 10 minutes I guess
3. Look at PowerTOP and watch battery drain away needlessly :(
  
Actual results:

Processor idles in C2

Expected results:

Processor idles in deeper slumber C3

Additional info:

I've attached a dmesg if it matters.  This seems to happen even if iwl3945 is
unloaded, and certainly happened before I started playing with kvm.
Comment 1 Paul T. Darga 2007-09-13 21:01:10 EDT
Created attachment 195371 [details]
dmesg output
Comment 2 Paul T. Darga 2007-09-14 00:17:14 EDT
I've been keeping powertop open for a longer time tonight and I've noticed that
I actually went back into C3 for a while, at least an hour or so, and then I've
just back popped back into C2, with the attendant increase in power usage.
Comment 3 Bug Zapper 2008-04-04 09:50:08 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:47:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:53:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.